Package com.independentsoft.office.odf

# Class IndexOfIllustrations

java.lang.Object
com.independentsoft.office.odf.IndexOfIllustrations

All Implemented Interfaces:
  `ICellContent`, `IContentElement`, `IIndexContent`, `ITextContent`, `IHeaderFooterContent`

public class IndexOfIllustrations extends Object implements ITextContent, IHeaderFooterContent
Represents an index of the images and graphics in a current document or chapter.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IndexOfIllustrations()`
  Initializes a new instance of the IndexOfIllustrations class.
  `IndexOfIllustrations​(InternalXMLStreamReader reader)`
  Instantiates a new index of illustrations.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IndexOfIllustrations`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `IndexBody`
  `getIndexBody()`
  Gets the index.
  `String`
  `getName()`
  Gets the name.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `String`
  `getProtectionKey()`
  Specifies that an authorization is required for removing the protection of a section.
  `IndexOfIllustrationsSource`
  `getSource()`
  Specifies how an index of illustrations is generated.
  `String`
  `getStyle()`
  Gets the style.
  `boolean`
  `isProtected()`
  Specifies whether a section is protected.
  `void`
  `setIndexBody​(IndexBody indexBody)`
  Sets the index.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `void`
  `setProtected​(boolean isProtected)`
  Specifies whether a section is protected.
  `void`
  `setProtectionKey​(String protectionKey)`
  Specifies that an authorization is required for removing the protection of a section.
  `void`
  `setSource​(IndexOfIllustrationsSource source)`
  Specifies how an index of illustrations is generated.
  `void`
  `setStyle​(String style)`
  Sets the style.
  `String`
  `toString()`
  Converts the value of the current IndexOfIllustrations object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IndexOfIllustrations

    public IndexOfIllustrations()
    Initializes a new instance of the IndexOfIllustrations class.

  - ### IndexOfIllustrations

    public IndexOfIllustrations​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new index of illustrations.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Parameters:
      `parent` - the new parent

  - ### clone

    public IndexOfIllustrations clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `ICellContent`
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IHeaderFooterContent`
    Specified by:
      `clone` in interface `IIndexContent`
    Specified by:
      `clone` in interface `ITextContent`
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current IndexOfIllustrations object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getSource

    public IndexOfIllustrationsSource getSource()
    Specifies how an index of illustrations is generated.
    Returns:
      the source

  - ### setSource

    public void setSource​(IndexOfIllustrationsSource source)
    Specifies how an index of illustrations is generated.
    Parameters:
      `source` - the new source

  - ### getIndexBody

    public IndexBody getIndexBody()
    Gets the index.
    Returns:
      the index body

  - ### setIndexBody

    public void setIndexBody​(IndexBody indexBody)
    Sets the index.
    Parameters:
      `indexBody` - the new index body

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### getStyle

    public String getStyle()
    Gets the style.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(String style)
    Sets the style.
    Parameters:
      `style` - the new style

  - ### isProtected

    public boolean isProtected()
    Specifies whether a section is protected.
    Returns:
      true, if is protected

  - ### setProtected

    public void setProtected​(boolean isProtected)
    Specifies whether a section is protected.
    Parameters:
      `isProtected` - the new protected

  - ### getProtectionKey

    public String getProtectionKey()
    Specifies that an authorization is required for removing the protection of a section.
    Returns:
      the protection key

  - ### setProtectionKey

    public void setProtectionKey​(String protectionKey)
    Specifies that an authorization is required for removing the protection of a section.
    Parameters:
      `protectionKey` - the new protection key